STTY(1)

NUME
stty - modifică și afișează configurările liniei terminalului

SINOPSIS
stty [-F DISPOZITIV | --file=DISPOZITIV] [CONFIGURARE]...
stty [-F DISPOZITIV | --file=DISPOZITIV] [-a|--all]
stty [-F DISPOZITIV | --file=DISPOZITIV] [-g|--save]

DESCRIERE

Afișează sau modifică caracteristicile terminalului.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

-a, --all
    afișează toate configurările curente într-o formă lizibilă pentru om

-g, --save
    afișează toate configurările curente într-o formă care poate fi citită de terminal

-F, --file=DISPOZITIV
    deschide și utilizează DISPOZITIVUL specificat în loc de intrarea standard

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

Un „-” opțional înainte de CONFIGURARE indică negație. Un „*” indică configurările nu sunt POSIX. Sistemul de bază definește configurările care sunt disponibile.

  Caractere speciale:

* discard CARACTER
    CARACTER va comuta înlăturarea conținutului de la ieșire

eof CARACTER
    CARACTER va trimite un sfârșit de fișier (termină intrarea)

eol CARACTER      CARACTER va termina linia
    CARACTER va termina linia

* eol2 CARACTER
    CARACTER alternativ pentru încheierea liniei

erase CARACTER
    CARACTER va șterge ultimul caracter tastat

intr CARACTER
    CARACTER va trimite un semnal de întrerupere

kill CARACTER
    CARACTER va șterge linia curentă

* lnext CARACTER
    CARACTER va introduce următorul caracter între ghilimele

quit CARACTER
    CARACTER va trimite un semnal QUIT

* rprnt CARACTER
    CARACTER va redesena linia curentă

start CARACTER
    CARACTER va reporni ieșirea dacă aceasta este oprită

stop CARACTER
    CARACTER va opri ieșirea

susp CARACTER
    CARACTER va trimite un semnal STOP terminalului

* swtch CARACTER
    CARACTER va comuta la o aparență de shell diferită

* werase CARACTER
    CARACTER va șterge ultimul cuvânt tastat

  Configurări speciale:

N   stabilește vitezele de intrare și de ieșire la N baud

cols N
    informează nucleul că terminalul are N coloane

* columns N
    la fel ca cols N

* [-]drain
    așteaptă transmiterea informațiilor înainte de a aplica configurările (activat în mod implicit)

ispeed N
    stabilește viteza de intrare la N

* line N
    utilizează protocolul de linie N

min N
    cu -icanon, stabilește minim N caractere pentru o citire completă

ospeed N
    stabilește viteza de ieșire la N

rows N
    informează nucleul că terminalul are N rânduri

size
    afișează numărul de rânduri și coloane conform informațiilor nucleului

speed
    afișează viteza terminalului

time N
    cu -icanon, stabilește limita de timp pentru citire, la N zecimi de secundă

  Configurări de control:

[-]clocal
    dezactivează semnalele de control ale modemului

[-]cread
    permite recepționarea intrării

* [-]crtscts
    activează negocierea RTS/CTS

csN stabilește dimensiunea caracterelor la N biți, N în [5..8]

[-]cstopb
    utilizează doi biți de oprire per caracter (unul cu „-”)

[-]hup
    trimite un semnal de întrerupere(hangup) când ultimul proces închide tty

[-]hupcl
    la fel ca [-]hup

[-]parenb
    generează bit de paritate la ieșire și așteaptă bit de paritate la intrare

[-]parodd
    stabilește paritatea impară (sau paritatea pară cu „-”)

* [-]cmspar
    utilizează paritatea „stick” (marcaj/spațiu)

  Cofigurări de intrare:

[-]brkint
    pauzele provoacă un semnal de întrerupere

[-]icrnl
    convertește returul de caret în linie nouă

[-]ignbrk
    ignoră caracterele de pauză

[-]igncr
    ignoră returul de caret

[-]ignpar
    ignoră caracterele cu erori de paritate

* [-]imaxbel
    emite un bip și nu golește conținutul memoriei tampon de intrare de un caracter

[-]inlcr
    convertește linia nouă în retur de caret

[-]inpck
    activează verificarea parității de intrare

[-]istrip
    șterge bitul înalt (al 8-lea) al caracterelor introduse

* [-]iutf8
    această opțiune presupune caracterele de la intrare ca fiind codificate în UTF-8

* [-]iuclc
    convertește majusculele în minuscule

* [-]ixany
    permite oricărui caracter să repornească ieșirea, nu doar caracterului de pornire

[-]ixoff
    activează trimiterea caracterelor de pornire/oprire

[-]ixon
    activează controlul fluxului XON/XOFF

[-]parmrk
    marchează erorile de paritate cu o secvență de caractere (255-0)

[-]tandem
    la fel ca [-]ixoff

  Configurări de ieșire:

* bsN
    stilul de întârziere al revenirii înapoi (backspace) «BS», N este un număr în intervalul [0..1]

* crN
    stilul de întârziere al returului de caret «CR», N este un număr în intervalul [0..3]

* ffN
    stilul de întârziere de pagină nouă «FF», N este un număr în intervalul [0..1]

* nlN
    stilul de întârziere de linie nouă «NL», N este un număr în intervalul [0..1]

* [-]ocrnl
    convertește returul de caret în linie nouă

* [-]ofdel
    utilizează caractere de ștergere pentru umplere în loc de caractere NUL

* [-]ofill
    utilizează caractere de umplere (completare) în loc de sincronizare pentru întârzieri

* [-]olcuc
    convertește minusculele în majuscule

* [-]onlcr
    convertește linia nouă în retur de caret-linie nouă

* [-]onlret
    linia nouă efectuează un retur de caret

* [-]onocr
    nu afișează retururile de caret în prima coloană

[-]opost
    realizează postprocesarea ieșirii

* tabN
    stilul de întârziere al tabulatorului orizontal , N este un număr în intervalul [0..3]

* tabs
    la fel ca tab0

* -tabs
    la fel ca tab3

* vtN
    stilul de întârziere al tabulatorului vertical , N este un număr n intervalul [0..1]

  Configurări locale:

[-]crterase
    afișează caracterele de ștergere ca backspace-spațiu-backspace

* crtkill
    șterge toată linia respectând configurările echoprt și echoe

* -crtkill
    șterge toată linia respectând configurările echoctl și echok

* [-]ctlecho
    afișează caracterele de control în notația „căciuliță” („^c”)

[-]echo
    afișează caracterele de intrare

* [-]echoctl
    la fel ca [-]ctlecho

[-]echoe
    la fel ca [-]crterase

[-]echok
    afișează o linie nouă după un caracter de ștergere

* [-]echoke
    la fel ca [-]crtkill

[-]echonl
    afișează linie nouă chiar dacă nu se afișează alte caractere

* [-]echoprt
    afișează caractere șterse înapoi, între „\” și „/”

* [-]extproc
    activează „LINEMODE”; util cu legături cu latență mare

* [-]flusho
    înlătură ieșirea

[-]icanon
    activează caracterele speciale: «erase», «kill», «werase», «rprnt»

[-]iexten
    activează caracterele speciale non-POSIX

[-]isig
    activează caracterele speciale «interrupt», «quit» și «suspend»

[-]noflsh
    dezactivează curățarea după caracterele speciale «interrupt» și «quit»

* [-]prterase
    la fel ca [-]echoprt

* [-]tostop
    oprește lucrările din fundal care încearcă să scrie în terminal

* [-]xcase
    cu iconon, eludare cu „\” pentru caracterele în majusculă

  Configurări combinate:

* [-]LCASE
    la fel ca [-]lcase

cbreak
    la fel ca -icanon

-cbreak
    la fel ca icanon

cooked
    precum caracterele brkint ignpar istrip icrnl ixon opost isig icanon, eof și eol la valorile lor implicite

-cooked
    la fel ca raw

crt la fel ca echoe echoctl echoke

dec la fel ca echoe echoctl echoke -ixany intr ^c erase 0177 kill ^u

* [-]decctlq
    la fel ca [-]ixany

ek  caracterele erase și kill la valorile lor implicite

evenp
    la fel ca parenb -parodd cs7

-evenp
    la fel ca -parenb cs8

* [-]lcase
    la fel ca xcase iuclc olcuc

litout
    la fel ca -parenb -istrip -opost cs8

-litout
    la fel ca parenb istrip opost cs7

nl  la fel ca -icrnl -onlcr

-nl la fel ca icrnl -inlcr -igncr onlcr -ocrnl -onlret

oddp
    la fel ca parenb parodd cs7

-oddp
    la fel ca -parenb cs8

[-]parity
    la fel ca [-]evenp

pass8
    la fel ca -parenb -istrip cs8

-pass8
    la fel ca parenb istrip cs7

raw la fel ca -ignbrk -brkint -ignpar -parmrk -inpck -istrip -inlcr -igncr -icrnl -ixon -ixoff -icanon -opost -isig -iuclc -ixany -imaxbel -xcase min 1 time 0

-raw
    la fel ca cooked

sane
    la fel ca cread -ignbrk brkint -inlcr -igncr icrnl icanon iexten echo echoe echok -echonl -noflsh -ixoff -iutf8 -iuclc -ixany imaxbel -xcase -olcuc -ocrnl opost -ofill onlcr -onocr -onlret nl0 cr0 tab0 bs0 vt0 ff0 isig -tostop -ofdel -echoprt echoctl echoke -extproc -flusho, toate caracterele speciale la valorile lor implicite

Gestionează linia tty conectată la intrarea standard. Fără argumente, afișează viteza de transmisie, protocolul de linie și abaterile de la „stty sane”. În configurări, CARACTER este luat literal sau codificat ca în ^c, 0x37, 0177 sau 127; valorile speciale ^- sau undef sunt folosite pentru a dezactiva caracterele speciale.

AUTOR
Scris de David MacKenzie.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

DREPTURI DE AUTOR
Drepturi de autor © 2025 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/stty>
sau local rulând comanda: «info '(coreutils) stty invocation'»

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.